BTN Tips/Tricks/Ideas (Part II)



FastCounter by bCentral


QUICK PLOTTING FROM PLT FILES (by BTN)
QUICK SNPPING MIDPOINT BETWEEN TWO POINTS (by Ron Getz/Josh Frohman)
HOW TO CHANGE A SPLINE INTO A POLYLINE (by Garry Fisher)

If you have good tips/tricks/ideas you want to shear with others I can place them here
with refferences and full compliments to you.






QUICK PLOTTING FROM PLT FILES(by BTN)
If you need quickly plot set of drawings for checking or progress report you can use this
quick trick. First plot all drawings to plot file with PLT extension. Open NOTEPAD and create very simple BAT file
call it PLT.BAT or simething like that anand put it in c: or any directory of your choise.
code for it-

COPY %1 LPT1

(lpt1 can be replaced with other port where plotter is attached to your computer)
Than open windows explorer find FOLDER OPTION go to FILE TYPES find PLT files click on new and start it with
plt,bat that will open files with PLT extension and send them to PLOTTER/PRINTER
Now open folder with PLT files highlight the ones you want to plot - right click and send it to printer
I did not tested it in Windows XP, in W95/98/nt/2000 - it works.
Back to the Top

QUICK SNPPING MIDPOINT BETWEEN TWO POINTS (by Ron Getz/Josh Frohman)
In place of setting the OSNAP in the in each line of code you can do the
following. This is the code for a Toolbar Button and it allows the user to
pick whatever two points he desires and will have returned the mid between
them.
_non;'cal (cur + cur)/2;
For any questions email Ron Getz RGGetz@EEC1.com
***************************************************************
***************************************************************
A TRANSPARENT SNAP to the apparent midpoint of two user-defined points (Written by Josh Frohman)
Use ' to make command AMID transparent

(defun c:amid (/ p1 p2 midxy)
(setq p1 (getpoint "\nPick point one: "))
(setq p2 (getpoint p1 "\nPick point two: "))
(setq midxy (list
(/ (+ (car p1) (car p2)) 2)
(/ (+ (cadr p1) (cadr p2)) 2)
))
(command midxy)
(princ)
Back to the Top

HOW TO CHANGE A SPLINE INTO A POLYLINE (by Garry Fisher)
WBlock the Spline
Open the Spline dwg and Save it as an R12 dwg
Save the Spline as a DXF file
Insert the DXF into your new file
Explode the DXF
Pedit the segments as a Pline.
Back to the Top


BACK